import request from '@/utils/request'

// 查询管控执行记录列表
export function listGradeManageRecord(query) {
  return request({
    url: '/laboratory/gradeManageRecord/list',
    method: 'get',
    params: query
  })
}

// 查询管控执行记录详细
export function getGradeManageRecord(id) {
  return request({
    url: '/laboratory/gradeManageRecord/' + id,
    method: 'get'
  })
}

// 新增管控执行记录
export function addGradeManageRecord(data) {
  return request({
    url: '/laboratory/gradeManageRecord',
    method: 'post',
    data: data
  })
}

// 修改管控执行记录
export function updateGradeManageRecord(data) {
  return request({
    url: '/laboratory/gradeManageRecord',
    method: 'put',
    data: data
  })
}

// 删除管控执行记录
export function delGradeManageRecord(id) {
  return request({
    url: '/laboratory/gradeManageRecord/' + id,
    method: 'delete'
  })
}
